### Method

# EDataServer NetworkMonitor dup_gio_name

since: 3.22

#### Declaration [src]

    gchar*
    e_network_monitor_dup_gio_name (
      ENetworkMonitor* network_monitor
    )

#### Description [src]

Get currently set GIO name for the network availability checks. See `e_network_monitor_set_gio_name()` for more details.

Available since: 3.22

#### Return value

Type: `gchar*`

A newly allocated string, a GIO name of the underlying GNetworkMonitor which is set to be used. The returned string should be freed with g_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.